
#include "sk_defination.h"
#include <msp430xE42x.h>


void AnalogFrontEnd_init(void)
{

    ESPCTL &= ~ESPEN; //For FE devices


    SD16CCTL_VOLTAGE &= ~SD16SC;
    SD16CCTL_LIVE &= ~SD16SC;
    SD16CCTL_NEUTRAL &= ~SD16SC;

    SD16CTL = 0x800
            | SD16SSEL_1  /* Clock is SMCLK */
            | SD16DIV_3   /* Divide by 8 => ADC clock: 1.048576MHz */
            | SD16REFON;  /* Use internal reference */
    SD16INCTL_LIVE = SD16INCH_0 | CURRENT_CT_GAIN;   	    /* Set gain for channel 0 (I1) */
    SD16CCTL_LIVE = SD16OSR_256 | SD16DF | SD16GRP;  	    /* Set oversampling ratio to 256 (default) */
    SD16PRE_LIVE = 0;
    
   
    SD16INCTL_NEUTRAL = SD16INCH_0 | VOLTAGE_GAIN; /* Set gain for channel 1 (I2) */ //CURRENT_LIVE_GAIN
    SD16CCTL_NEUTRAL = SD16OSR_256 | SD16DF | SD16GRP;     /* Set oversampling ratio to 256 (default) */
    SD16PRE_NEUTRAL = 0;


    SD16INCTL_VOLTAGE = SD16INCH_0 | VOLTAGE_GAIN;      	    /* Set gain for channel 2 (V) */
    SD16CCTL_VOLTAGE = SD16OSR_256 | SD16DF | SD16SC | SD16IE;  /* Set oversampling ratio to 256 (default) */
    SD16PRE_VOLTAGE = 0;

    if(cal_done==75)
    {
      switch(RYB_check)
      {
        case 0:
          SD16PRE_LIVE = SD16PRE_VAL_CH_0;
          break;
          
        case 10:
          SD16PRE_LIVE = SD16PRE_VAL_CH_1;
          break;
          
        case 20:
          SD16PRE_LIVE = SD16PRE_VAL_CH_2;
          break;        
      }
      
    }  
    else
    {SD16PRE_LIVE = 0;}

    SD16CCTL2 |= SD16SC;
}
